Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.00.00 - v2.02.00 Distro
Author Message
Guardian2003
Site Admin


Joined: Aug 28, 2003
Posts: 6792
Location: Ha Noi, Viet Nam

PostPosted: Sat Apr 15, 2006 8:05 pm Reply with quote

Yes, you would need to re add any edits to core files or (possibly) make some minor adjustments to third party modules so they follow the 'patched series' security layer.

Nothing insurmaountable and bear in mind this is more or less the same sort of procedure you would have to follow with any nuke version upgrade/downgrade or bug fix.
Hope that helps.
 
View user's profile Send private message Send e-mail
id01
New Member
New Member


Joined: Nov 16, 2005
Posts: 15

PostPosted: Thu May 04, 2006 11:25 am Reply with quote

I have tried to downgrade from 7.9 to ravenscript 7.6 2.0.2 using the downgrade script. It actually work fine. Beside the Contendo module that requires some special producure to fix to get it show up properly.

If you had mod before, you will have to redo them. Unfortunately, but if you only have a dozen or so mod. I think the security is well worth the time spend. I personally just don't trust phpnuke 7.7 - 7.9.
 
View user's profile Send private message
Neph
New Member
New Member


Joined: Dec 02, 2005
Posts: 6

PostPosted: Thu May 04, 2006 5:16 pm Reply with quote

How is the downgrade file run? Upload it to the server then run it from your browser?


**EDIT**

sorry for the wasted post, the file didn't appear the first time I tried to load it.
 
View user's profile Send private message
id01
PostPosted: Thu May 04, 2006 6:04 pm Reply with quote

Neph wrote:
How is the downgrade file run? Upload it to the server then run it from your browser?


Yes, that worked for me. But your milage might vary.
 
ariana_falerni
New Member
New Member


Joined: May 24, 2006
Posts: 6

PostPosted: Thu May 25, 2006 8:29 am Reply with quote

Please forgive me, I'm a total newbie and I've searched for the answers but get easily lost.

I downgraded from 7.8- to RavenNuke76 using the download script as suggested. Then uploaded all the 76 files, ran NSN groups SQL install and Sentinel Install. Now when I try to log in to my admin.php file I get "Illegal Access Detected!!! "

I figure this must be because I need to manually configure Sentinel? Is that right? Raven made reference to that earlier in this thread but I have no clue how to do that.

Can anyone point me in the right direction?? It seems that when I search on these errors I get solutions for people who are doing fresh installs and I have a bit more of a mess on my hands than that Smile

Thanks so much!
 
View user's profile Send private message
id01
PostPosted: Thu May 25, 2006 8:41 am Reply with quote

Try upload a plain 7.6 installation first before you upload RavenNuke 7.6. My impression is that some of the database will need to be created or altered between normal nuk 7.6 and ravennuke 7.6.
 
ariana_falerni
PostPosted: Thu May 25, 2006 8:55 am Reply with quote

Hmmm, thanks for the idea id01, but I'd like to get that confirmed before I do so, especially because I already altered my database to include sentinel and MSN groups I may have the same problem which is that I don't know how to configure Sentinel to set up a username and password because I couldn't use the setup.php script Sad
 
skeethunter
New Member
New Member


Joined: May 25, 2006
Posts: 1
Location: Saint Louis, MO

PostPosted: Thu May 25, 2006 11:35 am Reply with quote

Ok so will this downgrade script Only registered users can see links on this board! Get registered or login!

Work with this 7.6 version Only registered users can see links on this board! Get registered or login!


Thanks in advance
 
View user's profile Send private message Send e-mail Visit poster's website AIM Address MSN Messenger ICQ Number
cash7c3
New Member
New Member


Joined: Jul 17, 2006
Posts: 9

PostPosted: Mon Jul 17, 2006 8:19 pm Reply with quote

Raven wrote:
1 - Get the Only registered users can see links on this board! Get registered or login! and downgrade your database to 7.6

2 - Run the RN76 installSQL.php and only run the NSN Groups option

3 - If you need NukeSentinel installed then run the NS table installer

4 - Do NOT run setup.php! You will need to manually configure NukeSentinel(tm)

You will then need to replace your 7.8 files with those from RN76.

That should do it.


I am sorry to ask this but I have been reading in the forums for about an hour and alot of this is over my head. I have everything mentioned here but i am still not quite sure how to this. Is there any more detail you could possibly add for a very green n00b.

-Thank you for your time
 
View user's profile Send private message
Guardian2003
PostPosted: Mon Jul 17, 2006 8:41 pm Reply with quote

All the instructions you need are in your forum post above.
1. Back up your existing databse and files.
2. Remove the old files from the server.
3. Copy the database connection settings from your backed up cinfig.php file into your new Raven Nuke config.php file

4. Upload all the Raven Nuke files to your web server
5. Upload the downgrader script to the same directory as mainfile.php and config.php and run the file by typing its location into your browser.
6. Run the Raven Nuke installer file by typing the address in your browser Only registered users can see links on this board! Get registered or login!
Only run the NSN Groups option button and the Sentinel tables option button.

You can start configuring your site now.
 
cash7c3
PostPosted: Mon Jul 17, 2006 9:28 pm Reply with quote

thank you for your quick reply.

that cleared up a few things for me. I can not afford to screw anything up so that's why I am asking alot of questions.

step 1: k

step 2: which files specifically? they ones that are included with the raven nuke pakage?

step 3: k

step 4: these are replacing the ones removed from step 2? what if i just overwrite the originals?

step 5: k

step 6: no where on my current site or the raven nuke that i downloaded is there a "installation" folder or a installSQL.php file. did I download a bad copy of raven nuke? if i did could you point me to the correct download?

Thank you again I appreciate the instruction and tips.
 
Guardian2003
PostPosted: Mon Jul 17, 2006 9:47 pm Reply with quote

Step 2 - this is to remove any existing files from the server and to answer your point 4 as well... Your version of nuke may have files which are not need.
As these files would not be used (such as for the tiny_mce editor) it may pose a security risk just leaving them there. It is better to start 'clean'.

So in step 2 you would be removing your old nuke version and then in step 4 uploading the new Raven Nuke files.

The correct and current public release of Raven Nuke is here Only registered users can see links on this board! Get registered or login!
 
cash7c3
PostPosted: Tue Jul 18, 2006 2:30 am Reply with quote

alright well i followed the instructions but now when i try to get to any page on my site all that comes up is a blank page.
 
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9449
Location: Arizona

PostPosted: Tue Jul 18, 2006 5:52 am Reply with quote

cash7c3, sounds to me like your previous 7.7/7.8 site theme was different than those provided in the RavenNuke distribution. If you do not have that theme loaded in the new RavenNuke site, try uploading that theme.

If that does not work, then either you still have a missing file somewhere (can happen with a large FTP upload sometimes), or it is possible your original site theme was not patched to at least the 3.1 patchlevel.

You may also be able to reset your default theme back to fisubice using phpMyAdmin and editing the nuke_config table.

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
cash7c3
PostPosted: Thu Jul 20, 2006 9:28 am Reply with quote

montego you were absolutely correct, i did not have the theme installed.

I put on the theme I was previously using and I am all good to go now.

The only remaing problem is with the theme. I am using the sub3dblueblakc theme. It says it is for phpnuke 6.5+ and it is in version level 3.0.

The problem is that I can not get the right blocks of the site to appear. They work fine with the other themes. Is this theme not up to 3.1 patchlevel and is having problems due to this? Do you have any ideas what the problem may be? If it is in fact not up to 3.1 patchlevel (I am really not sure) could you point me in the right direction to somewhere where I might learn to upgrade it to this 3.1 patchlevel?
 
gregexp
The Mouse Is Extension Of Arm


Joined: Feb 21, 2006
Posts: 1497
Location: In front of a screen....HELP! lol

PostPosted: Thu Jul 20, 2006 11:08 am Reply with quote

Yes its the patch level and search on these forums for no right blocks and I'm positive you'l find your solution.

_________________
For those who stand shall NEVER fall and those who fall shall RISE once more!! 
View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number
cash7c3
PostPosted: Thu Jul 20, 2006 11:03 pm Reply with quote

okay. Thank you all for your help.
 
ccac
Hangin' Around


Joined: May 23, 2006
Posts: 40

PostPosted: Wed Aug 09, 2006 1:20 pm Reply with quote

Quote:
1 - Get the PHP-Nuke Downgrader [7.8/7.7 to 7.6] and downgrade your database to 7.6

2 - Run the RN76 installSQL.php and only run the NSN Groups option

3 - If you need NukeSentinel installed then run the NS table installer

4 - Do NOT run setup.php! You will need to manually configure NukeSentinel(tm)

You will then need to replace your 7.8 files with those from RN76.

That should do it.


Is this the same procedure for 7.7 ? I screwed up and clicked "core function" in the setup.. So if I re-install the complete 7.7 backup, I should be able to start over at step 1 and it should work correctly, right?

Thanks for all the help... Wink
 
View user's profile Send private message
Meoff
Regular
Regular


Joined: Aug 05, 2006
Posts: 55
Location: Thailand

PostPosted: Wed Aug 09, 2006 11:57 pm Reply with quote

Hello to all,

I'm having some difficulties with downgrading my database also.

I have downloaded and installed the rwsRavenNuke76_v2.02.02_FULL package to the root level of a different domain than the one where phpnuke 7.8 is currently running. I am hoping to get the RavenNuke76 running as a test before making any changes to my existing PHpNuke 7.8 site and incurring a massive downtime for my users.

I've created a new sql database for the RavenNuke installation, and uploaded a copy of my existing 7.8 database.

I've set all the parameters to match the new database in the RavenNuke 76 config.php.

When I run the downgrade script, I get a 500 Server Error.

From the posts above if I understand correctly, I need to run the downgrade script from my existing PHPNuke 7.8 domain server.

My question is... will this alter any of the files in the existing PHPNuke 7.8 domain, or just the SQL database? Is it possible to downgrade the database in this environment, then change the config parameters to match the new RavenNuke76 FULL installation, then point the PHPNuke78 config back to an unmodified copy of the 7.8 database?

Like I said- I'm wanting to get the new RavenNuke76 installation running and tested before disabling the existing site. Any advice along this line would be greatly appreciated!
 
View user's profile Send private message Visit poster's website
gregexp
PostPosted: Thu Aug 10, 2006 7:07 pm Reply with quote

The downgrade script should only alter the nuke sql.

sql1 will be the 7.8 sql for reference.
sql2 will be the raven package sql for reference.


Backup sql1. delete the contents of sql2.

Then upload the backup of sql1 to sql2, Then run the downgrade script to 7.6 then run the script to adapt to Raven nuke, Now this way will not alter the sql of the original 7.8 but will allow you to play with it outside a production site envitronment, last thing you want to do is play with your sql in a production environment.
 
ccac
PostPosted: Tue Aug 22, 2006 12:30 am Reply with quote

Will this work with the 3.2b patch for 7.8 ? Since there was a sql edit with that patch?
 
boored
New Member
New Member


Joined: Nov 26, 2006
Posts: 16

PostPosted: Mon Nov 27, 2006 1:52 pm Reply with quote

I downgraded from 7.9 to 7.6, everyting seems to work fine exept a little problem in admin moderation block, it just shows:

MODERATIONKARMA

_CONTENTMODERATION
_SELECTOPTION

[ _NEWSCOMMENTS () | _SURVEYCOMMENTS () | _REVIEWSCOMMENTS () | _ALLMARKEDUSERS () ]

no links, just that text, i propably caused that myself by not deleting all files, before copying 7.6 files... any way to fix that, or do i need to do a clean install?
 
View user's profile Send private message
montego
PostPosted: Tue Nov 28, 2006 6:15 am Reply with quote

Find which block this is using the blocks administration and deactivate or delete it. "Karma" is not a feature in 7.6.
 
boored
PostPosted: Tue Nov 28, 2006 9:17 am Reply with quote

I noticed that, howerver i run into some other problems, so i made a clean install later...thats the way it goes when a noob gets a new hobby :/
I deleted it, resulting in blankpage. Guess there was som code to be removed to get the nonworking icon away from ACP. However as i said, been reinstalling and running into new problems Very Happy
 
montego
PostPosted: Tue Nov 28, 2006 9:23 pm Reply with quote

boored, ok. good luck!
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.00.00 - v2.02.00 Distro

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©